#ifndef PAINTSCENE_H
#define PAINTSCENE_H



#include <QObject>
#include <QGraphicsScene>
#include <QGraphicsSceneMouseEvent>
#include <QTimer>
#include <QDebug>
#include <QGraphicsPixmapItem>
#include <QSharedPointer>



class PaintScene : public QGraphicsScene
{
    Q_OBJECT
public:
    explicit PaintScene(QObject *parent = 0);
    ~PaintScene();

    std::vector<QPointF> getPoints();
    void clearScene();
    void addImageItem(QImage image);

private:
    QPointF prevPoint;
    std::vector<QPointF> points;

    void mousePressEvent(QGraphicsSceneMouseEvent * event);
    void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
};



#endif // PAINTSCENE_H
